package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.lookup.ParameterizedGenericMethodBinding;

public class PolyParameterizedGenericMethodBinding extends ParameterizedGenericMethodBinding {
  private ParameterizedGenericMethodBinding wrappedBinding;
  
  public PolyParameterizedGenericMethodBinding(ParameterizedGenericMethodBinding applicableMethod) {
    super(applicableMethod.originalMethod, applicableMethod.typeArguments, applicableMethod.environment, false, false);
    this.wrappedBinding = applicableMethod;
  }
  
  public boolean equals(Object other) {
    if (other instanceof org.eclipse.jdt.internal.compiler.lookup.PolyParameterizedGenericMethodBinding) {
      org.eclipse.jdt.internal.compiler.lookup.PolyParameterizedGenericMethodBinding ppgmb = (org.eclipse.jdt.internal.compiler.lookup.PolyParameterizedGenericMethodBinding)other;
      return this.wrappedBinding.equals(ppgmb.wrappedBinding);
    } 
    return false;
  }
  
  public int hashCode() {
    return this.wrappedBinding.hashCode();
  }
}
